curl --request POST \
--url https://api.gcore.com/cloud/v1/file_shares/{project_id}/{region_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "test-share-file-system",
"network": {
"network_id": "024a29e9-b4b7-4c91-9a46-505be123d9f8",
"subnet_id": "91200a6c-07e0-42aa-98da-32d1f6545ae7"
},
"protocol": "NFS",
"size": 5,
"access": [
{
"access_mode": "ro",
"ip_address": "10.0.0.1"
}
],
"tags": {},
"type_name": "standard",
"volume_type": "default_share_type"
}
'import requests
url = "https://api.gcore.com/cloud/v1/file_shares/{project_id}/{region_id}"
payload = {
"name": "test-share-file-system",
"network": {
"network_id": "024a29e9-b4b7-4c91-9a46-505be123d9f8",
"subnet_id": "91200a6c-07e0-42aa-98da-32d1f6545ae7"
},
"protocol": "NFS",
"size": 5,
"access": [
{
"access_mode": "ro",
"ip_address": "10.0.0.1"
}
],
"tags": {},
"type_name": "standard",
"volume_type": "default_share_type"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'test-share-file-system',
network: {
network_id: '024a29e9-b4b7-4c91-9a46-505be123d9f8',
subnet_id: '91200a6c-07e0-42aa-98da-32d1f6545ae7'
},
protocol: 'NFS',
size: 5,
access: [{access_mode: 'ro', ip_address: '10.0.0.1'}],
tags: {},
type_name: 'standard',
volume_type: 'default_share_type'
})
};
fetch('https://api.gcore.com/cloud/v1/file_shares/{project_id}/{region_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Create file share
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
1
Region ID
1
Body
- CreateStandardFileShareSerializer
- CreateVastFileShareSerializer
File share name
^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$"test-share-file-system"
File share network configuration
Show child attributes
Show child attributes
File share protocol
"NFS""NFS"
File share size in GiB
x >= 15
Access Rules
Show child attributes
Show child attributes
[
{
"access_mode": "ro",
"ip_address": "10.0.0.1"
}
]
Key-value tags to associate with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Both tag keys and values have a maximum length of 255 characters. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
Show child attributes
Show child attributes
{ "my-tag": "my-tag-value" }
Standard file share type
"standard"Deprecated. Use type_name instead.
"default_share_type"Response
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?